Package org.python.core

# Class codecs.CodecState

java.lang.Object
org.python.core.codecs.CodecState

Enclosing class:
  `codecs`

public static class codecs.CodecState extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String[]`
`BUILTIN_ERROR_HANDLERS`

## Constructor Summary

Constructors
Constructor
Description
`CodecState()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDefaultEncoding()`
`PyTuple`
`lookup(String encoding)`
`PyObject`
`lookup_error(String handlerName)`
`void`
`register(PyObject search_function)`
`void`
`register_error(String name, PyObject error)`
`void`
`setDefaultEncoding(String encoding)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### BUILTIN_ERROR_HANDLERS

public static final String[] BUILTIN_ERROR_HANDLERS

## Constructor Details

### CodecState

public CodecState()

## Method Details

### getDefaultEncoding

public String getDefaultEncoding()

### setDefaultEncoding

public void setDefaultEncoding(String encoding)

### register_error

public void register_error(String name, PyObject error)

### register

public void register(PyObject search_function)

### lookup

public PyTuple lookup(String encoding)

### lookup_error

public PyObject lookup_error(String handlerName)